commit: 557b0509d335b3bd7d7996d22ccfb219673e61a1
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 4 22:24:52 2020 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Fri Sep 4 22:45:25 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=557b0509
dev-python/jaraco-packaging: add Python 3.9 support, fix deps
importlib.metadata is part of Python >= 3.8's stdlib.
Package-Manager: Portage-3.0.3, Repoman-2.3.23
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
.../jaraco-packaging-8.1.0-r1.ebuild | 52 ++++++++++++++++++++++
1 file changed, 52 insertions(+)
diff --git a/dev-python/jaraco-packaging/jaraco-packaging-8.1.0-r1.ebuild
b/dev-python/jaraco-packaging/jaraco-packaging-8.1.0-r1.ebuild
new file mode 100644
index 00000000000..a80e08b70b1
--- /dev/null
+++ b/dev-python/jaraco-packaging/jaraco-packaging-8.1.0-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Tools to supplement packaging Python releases"
+HOMEPAGE="https://github.com/jaraco/jaraco.packaging"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390
~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]'
pypy3 python3_{6,7})
+ >=dev-python/namespace-jaraco-2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/toml[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs '>=dev-python/rst-linker-1.9'
+
+python_test() {
+ # Skip one test which requires network access
+ # Override pytest options to skip flake8
+ PYTHONPATH=. pytest -vv -k "not test_revived_distribution" \
+ --override-ini="addopts=--doctest-modules" \
+ || die "tests failed with ${EPYTHON}"
+}
+
+#
https://wiki.gentoo.org/wiki/Project:Python/Namespace_packages#File_collisions_between_pkgutil-style_packages
+python_install() {
+ rm "${BUILD_DIR}"/lib/jaraco/__init__.py || die
+ # note: eclass may default to --skip-build in the future
+ distutils-r1_python_install --skip-build
+}